Last Comment Bug 43086 - [FLOAT]non-table floats should carry to next line (un-quirk)
: [FLOAT]non-table floats should carry to next line (un-quirk)
Status: VERIFIED FIXED
[fix in hand]QA: Does this affect top...
: css1, testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Windows 98
: P1 normal (vote)
: ---
Assigned To: David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
: Hixie (not reading bugmail)
Mentors:
: 48226 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-19 14:38 PDT by David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
Modified: 2003-12-08 13:25 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (303 bytes, text/html)
2000-06-19 14:39 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details

Description David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-06-19 14:38:57 PDT
DESCRIPTION:  The quirk implement in bug 37657 should be only for tables, not 
for any floating elements.  There is no need to make this quirk for anything 
other than tables since MSIE5 does it only for tables, and therefore pages on 
the web depend on its presence only for tables.  I'd rather not break css1 
compliance too badly.

STEPS TO REPRODUCE:
 * load attachment in window narrower than 1000px

ACTUAL RESULTS:
 * both tests are left/right

EXPECTED RESULTS:
 * first test should be above/below, second should be left/right

BUGGY ON:
 * Win98 mozilla 2000-06-16

WORKS CORRECTLY ON:
 * Win98 MSIE5
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-06-19 14:39:25 PDT
Created attachment 10378 [details]
testcase
Comment 2 Hixie (not reading bugmail) 2000-07-25 20:51:35 PDT
As per meeting with ChrisD today, taking QA.

Nominating for nsbeta3 to get judgement call from PDT: should we fix this 
(before FCS) or should we WONTFIX it? This will only impact legacy documents,
but it is unclear how much of an effect this 'bug' has.

If we do not fix this by nsbeta3 (and thus FCS) then there is no point fixing
it for future releases.
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-07-25 21:38:03 PDT
Ian - this bug is a quirk that we have that does not exist in older browsers. 
We don't want that.
Comment 4 Hixie (not reading bugmail) 2000-07-25 21:40:53 PDT
Sure, ideally we don't. But given where we're at (namely, weeks from release), 
unless this actually affects real world pages then our time would be better 
spent fixing real standards compliance bugs.
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-07-25 22:11:19 PDT
This *is* a standards-compliance bug.  I think it would cause the boxacidtest to
fail in quirks mode.
Comment 6 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-07-27 07:37:22 PDT
BTW, this is also just a slight refinement to a previous fix -- do it only if
the tag name is table and the display property is table.

That is, in nsBlockReflowState::PlaceFloater, right after the first call to
GetCompatibilityMode, you should also get the tag name and (or perhaps or) the
display type, and change the logic from:

if (eCompatibility_NavQuirks != mode)

to

if ((eCompatibility_NavQuirks != mode) || (floaterDisplay->mDisplay != 
NS_STYLE_DISPLAY_TABLE))

or maybe also get the content from the frame and the tag from the content and
make sure it's a table tag before one decides not to do this...

If you're considering not doing this for beta3, assign it to me and I'll do
it...
Comment 7 Marc Attinasi 2000-08-07 10:32:13 PDT
You asked for it ;) - Since you know where to fix it, please make it good! 
Thanks David, since buster's still on vacation I would have had to deny it...

Also, approving for beta3 since David is going to fix it and feels it is 
critical.
Comment 8 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-08-10 07:26:14 PDT
*** Bug 48226 has been marked as a duplicate of this bug. ***
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-08-23 08:01:05 PDT
Have fix.
Comment 10 leger 2000-08-30 16:54:17 PDT
PDT agrees P1 - david, can you check in ASAP please?
Comment 11 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-09-04 14:56:16 PDT
Fix checked in 2000-09-04 14:44 PDT.
Comment 12 Hixie (not reading bugmail) 2000-09-06 22:33:14 PDT
VERIFIED Win2K and Linux Comm M18 trunk builds 2000090609.

Note You need to log in before you can comment on or make changes to this bug.